Subject: Re: bug#50112: 28.0.50; ediff help frame does not display text

From: David Phillips <[email-masked]>
Date: Fri, 20 Aug 2021 10:12:36 -0400

I do have two frames (and the help frame has no content). There is a buffer named *Ediff Control Panel* with the help text in it, but it isn’t displayed in the frame labeled Ediff.  When I run ediff-buffers, hit ‘?’, switch back to the main frame, and evaluate the elisp you sent, I get ’nil’ in the mini buffer and the buffer *foo* has the help text in it. However, the help frame is still empty. I’m trying to understand what this means. It seems like the frame has the right buffer assigned to it but that it is in some weird mode so that it isn’t being rendered properly. 
 Thanks for the help!
  David

> On Aug 20, 2021, at 4:18 AM, martin rudalics <[email-masked]> wrote:
> 
> > I built emacs this morning from the git master branch.
> > The latest commit was 9b31ad36094666da6b3281025adc163829d89de8 with
> > a date stamp of Wed Aug 18 20:02:39 2021 +0300.
> > I am running the macos GUI version.
> > First I run /Applications/Emacs/Contents/MacOS/Emacs -Q
> > then I load two files and run 'ediff-buffers' to compare them.
> > ediff works just fine except that the frame with the help message
> > is an empty frame. The '?' command changes the frame size but the
> > text never renders.
> 
> Assuming that in this situation you have two frames - the main frame and
> the help frame: What does evaluating the form
> 
> (let ((buffer (window-buffer (frame-root-window (next-frame))))
>      (foo (get-buffer-create "*foo*")))
>  (with-current-buffer foo
>    (insert
>     (buffer-name buffer)
>     "\n"
>     (with-current-buffer buffer
>       (buffer-substring 1 (point-max))))))
> 
> in the main frame via M-: put into buffer *foo*?
> 
> martin